Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformFilter Class Reference

`#include <vtkTransformFilter.h>`

Inheritance diagram for vtkTransformFilter:

[legend]
Collaboration diagram for vtkTransformFilter:

[legend]
List of all members.

## Detailed Description

transform points and associated normals and vectors

Date:
  2002/11/19 21:24:02

Revision:
  1.44

vtkTransformFilter is a filter to transform point coordinates, and associated point normals and vectors. Other point data is passed through the filter.

An alternative method of transformation is to use vtkActor's methods to scale, rotate, and translate objects. The difference between the two methods is that vtkActor's transformation simply effects where objects are rendered (via the graphics pipeline), whereas vtkTransformFilter actually modifies point coordinates in the visualization pipeline. This is necessary for some objects (e.g., vtkProbeFilter) that require point coordinates as input.

See also:
  vtkAbstractTransform vtkTransformPolyDataFilter vtkActor

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (60%)
  - Gobbi, David (11%)
  - Geveci, Berk (9%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkTransformFilter.h)`
  - .`cxx` (`/Graphics/vtkTransformFilter.cxx)`

Tests:
  vtkTransformFilter (Tests)

Definition at line 61 of file vtkTransformFilter.h.

## Public Types
typedef vtkPointSetToPointSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
virtual void | SetTransform (vtkAbstractTransform *)
virtual vtkAbstractTransform * | GetTransform ()
## Static Public Methods
vtkTransformFilter * | New ()
int | IsTypeOf (const char *type)
vtkTransformFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTransformFilter ()
| ~vtkTransformFilter ()
void | Execute ()
## Protected Attributes
vtkAbstractTransform * | Transform

## Member Typedef Documentation

typedef vtkPointSetToPointSetFilter vtkTransformFilter::Superclass

| Reimplemented from vtkPointSetToPointSetFilter. Definition at line 65 of file vtkTransformFilter.h.

## Constructor & Destructor Documentation

vtkTransformFilter::vtkTransformFilter | ( |  | ) | `[protected]`

vtkTransformFilter::~vtkTransformFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransformFilter* vtkTransformFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTransformFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSetToPointSetFilter.

int vtkTransformFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

virtual int vtkTransformFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

vtkTransformFilter* vtkTransformFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSetToPointSetFilter.

void vtkTransformFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSetToPointSetFilter.

unsigned long vtkTransformFilter::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the transform. Reimplemented from vtkObject.

virtual void vtkTransformFilter::SetTransform | ( | vtkAbstractTransform * |  | ) | `[virtual]`

| Specify the transform object used to transform points.

virtual vtkAbstractTransform* vtkTransformFilter::GetTransform | ( |  | ) | `[virtual]`

| Specify the transform object used to transform points.

void vtkTransformFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkAbstractTransform* vtkTransformFilter::Transform`[protected]`

| Definition at line 82 of file vtkTransformFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTransformFilter.h